*
* MAILER.PRG
*
* Visual FoxPro "MAILER" program (for SEE 3.0 and above)
*
* This program connects to the SMTP server specified by 'SmtpServer'
* and emails message 'Message' to 'SmtpTo' with subject 'Subject' and
* attachment 'Attachment'.
*
*

#INCLUDE KEYCODE.FOX
#INCLUDE SEE32CON.FOX

DECLARE INTEGER seeAttach in SEE32.DLL INTEGER NbrChans, INTEGER KeyCode
DECLARE INTEGER seeClose in SEE32.DLL INTEGER Chan
DECLARE INTEGER seeCommand in SEE32.DLL INTEGER Chan, STRING @Text
DECLARE INTEGER seeDebug in SEE32.DLL INTEGER Chan, INTEGER Index, STRING @Buffer, INTEGER BufLen
DECLARE INTEGER seeDecodeBuffer in SEE32.DLL STRING @CodedBuf, STRING @ClearBuf, INTEGER BufLen
DECLARE INTEGER seeDeleteEmail in SEE32.DLL INTEGER Chan, INTEGER MsgNbr
DECLARE INTEGER seeDriver in SEE32.DLL INTEGER Chan
DECLARE INTEGER seeEncodeBuffer in SEE32.DLL STRING @ClearBuf, STRING @CodedBuf, INTEGER BufLen
DECLARE INTEGER seeErrorText in SEE32.DLL INTEGER Chan, INTEGER Code, STRING @Buffer, INTEGER BufLen
DECLARE INTEGER seeExtractLine in SEE32.DLL STRING @Source, INTEGER LineNbr, STRING @Buffer, INTEGER BufLen
DECLARE INTEGER seeExtractText in SEE32.DLL STRING @Source, STRING @Text, STRING @Buffer, INTEGER BufLen
DECLARE INTEGER seeGetEmailCount in SEE32.DLL INTEGER Chan
DECLARE INTEGER seeGetEmailFile in SEE32.DLL INTEGER Chan, INTEGER MsgNbr, STRING @EmailName, STRING @EmailDir, STRING @AttachDir
DECLARE INTEGER seeGetEmailLines in SEE32.DLL INTEGER Chan, INTEGER MsgNbr, INTEGER Lines, STRING @Buffer, INTEGER BufLen
DECLARE INTEGER seeGetEmailSize in SEE32.DLL INTEGER Chan, INTEGER MsgNbr
DECLARE INTEGER seeGetEmailUID in SEE32.DLL INTEGER Chan, INTEGER MsgNbr, STRING @Buffer, INTEGER BufLen
DECLARE INTEGER seeIntegerParam in SEE32.DLL INTEGER Chan, INTEGER Param, INTEGER Value
DECLARE INTEGER seePop3Connect in SEE32.DLL INTEGER Chan, STRING @Server, STRING @User, STRING @Password
DECLARE INTEGER seeRelease in SEE32.DLL
DECLARE INTEGER seeSendEmail in SEE32.DLL INTEGER Chan, STRING @To, STRING @CC, STRING @BCC, STRING @Subj, STRING @Msg, STRING @Attach
DECLARE INTEGER seeSmtpConnect in SEE32.DLL INTEGER Chan, STRING @Server, STRING @From, STRING @Reply
DECLARE INTEGER seeStatistics in SEE32.DLL INTEGER Chan, INTEGER Index
DECLARE INTEGER seeStringParam in SEE32.DLL INTEGER Chan, INTEGER Param, STRING @Value
DECLARE INTEGER seeVerifyFormat in SEE32.DLL STRING @User
DECLARE INTEGER seeVerifyUser in SEE32.DLL INTEGER Chan, STRING @User

*** PROGRAMMER: Edit these strings [use host name or IP address for server] ***
SmtpServer = "10.0.0.1"
SmtpFrom = "<mike@10.0.0.1>"
SmtpReply = ""
SmtpTo   = "<mike@10.0.0.1>"
Subject = "Emailing _READ_ME.TXT with attachment MAILER.PRG"
CClist = ""
BCClist = ""
* Note 1: Use full path names unless file is located in FoxPro directory.
* Note 2: Note the leading '@' character in Message.
* Note 3: Verify the location of all referenced files.
Message = "@C:\TEMP\_read_me.txt"
Attachment = "C:\TEMP\mailer.prg"
DiagFile = "C:\TEMP\mailer.log"
*** END PROGRAMMER ***

? "MAILER 02/10/2000"
Code = seeAttach(1, SEE_KEY_CODE)
if Code < 0
  ? "Cannot attach SEE"
  return
endif
Code = seeStringParam(0, SEE_LOG_FILE, @DiagFile)
* set maximum connect wait to 10 seconds
Code = seeIntegerParam(0, SEE_CONNECT_WAIT, 10000)
* connect to SMTP server
? "Connecting to " + SmtpServer
Code = seeSmtpConnect(0, @SmtpServer, @SmtpFrom, @SmtpReply)
if Code < 0
  Buffer = SPACE(128)
  Code = seeErrorText(0,Code,@Buffer,128)
  ? Buffer
else
  * send email message
  ? "Sending email to " + SmtpTo
  Code = seeSendEmail(0,@SmtpTo,@CClist,@BCClist,@Subject,@Message,@Attachment)
  if Code < 0
    Buffer = SPACE(128)
    Code = seeErrorText(0,Code,@Buffer,128)
    ? Left(Buffer,Code)
  else
    ? "Email has been sent."
  endif
endif
? "Done."
Code = seeClose(0)
Code = seeRelease()
return



