*
* SEEVER.PRG
*
* Visual FoxPro "SEEVER" program (for SEE 3.0 and above).
*
* This program displays the SEE version and registration.
*

#INCLUDE KEYCODE.FOX
#INCLUDE SEE32CON.FOX

DECLARE INTEGER seeAttach in SEE32.DLL INTEGER NbrChans, INTEGER KeyCode
DECLARE INTEGER seeErrorText in SEE32.DLL INTEGER Chan, INTEGER Code, STRING @Buffer, INTEGER BufLen
DECLARE INTEGER seeRelease in SEE32.DLL
DECLARE INTEGER seeStatistics in SEE32.DLL INTEGER Chan, INTEGER Index
DECLARE INTEGER seeDebug in SEE32.DLL INTEGER Chan, INTEGER Index, STRING @Buffer, INTEGER BufLen

? "SEEVER 02/10/2000"

Code = seeAttach(1, SEE_KEY_CODE)
if Code < 0
  ? "Cannot attach SEE"
else
  * get SEE version number
  Version = seeStatistics(0, SEE_GET_VERSION)
  A = int(Version / 256)
  Version = Version - (256 * A)
  B = int(Version / 16)
  C = Version - (16 * B)
  ? "SEE Version: " + LTRIM(Str(A)) + "." + LTRIM(Str(B)) + "." + LTRIM(Str(C))
  * get build #
  Build = seeStatistics(0, SEE_GET_BUILD)
  ? "SEE Build: " + LTRIM(Str(Build))
  * get registration
  Buffer = SPACE(50)
  Code = seeDebug(0, SEE_GET_REGISTRATION, @Buffer, 50)
  ? "Registration: " + Left(Buffer,Code)
  ?
  Code = seeRelease()
endif
return



